Problem sa Eject-om

Imam jedan problem sa Disc Driveom, prosto ne mogu da izvadim CD iz kompa. Nemam klasicnu fioku, vec samo prorez. Na tastaturi postoji kao opcija, kada pritisnem Fn+dugme za Eject ali to ne funkcionise, jer je to software-ski problem(radilo je).

Kao file manager koristim Dolphin i kada desnim klikom na Disc pritisnem Eject pojavi mi se greska :
An unspecified error has occurred.: Method “DriveEject” with signature “s” on interface “org.freedesktop.UDisks.Device” doesn’t exist

Kada sam na ekran postavio Widget “Available devices” i opet na disc kliknuo Eject ispod mi se pojavilo : Could not eject the following device : Disc. One or more files are open within an application.

Na disku imam samo neke slike koje sam gledao direktno sa diska.

Ima li neko ideju!

Koji je brend laptop ? Očigledno sistem ne vidi Fn+određeni taster kao event.

Instaliraj

sudo apt-get install acpi-support

restartuj laptop pa probaj.

Komanda

eject sr0

treba da izbaci CD.

http://forums.linuxmint.com/viewtopic.php?f=46&t=39836

Ja sam imao slican problem, doduse na desktop-u, isto nije hteo da izbaci CD iz Dolphin-a ( ne secam se da li je istu poruku izbacivao ). Problem je bug u KDE-u, pa ukoliko njega koristis ili ako ti stalno taj izbacuje error, update-uj ga na 4.9.5. U njemu je ispravljeno… :slight_smile:

Hvala vam momci na savetima. Izvadio sam disk tako sto sam pokrenuo k3b i onda na opciju Eject(Entfernen), nadam se da nije problem sto sam os instalirao na nemackom, tako mi je lakse.

Probao sam sa : sudo apt-get install acpi-support, ali mi je u terminalu pisalo da je vec instalirana poslednja verzija.

@[member=‘Cofi’] mi je dao savet da update-ujem svoj kde sa verzije 4.9.4 na 4.9.5 ali ja ne znam kako to da izvedem, pomocu kojih komandi.

Zna li neko, pomocu kojih komandi da instaliram kde 4.9.5, trenutna je 4.9.4?

Hvala!

sudo apt-add-repository ppa:kubuntu-ppa/backports -y sudo apt-get update sudo apt-get upgrade

ili najnovije
sudo apt-add-repository ppa:kubuntu-ppa/beta
sudo apt-get update
sudo apt-get upgrade

@dragan99

Hvala ti!

Kada sam pokrenuo prvi code, generalno se nista nije desilo, nije uradio update na 4.9.5, ostao je na 4.9.4, kada sam pokrenuo drugo code ovaj sa /beta, on jeste odradio update na verziju 4.9.98. ali sad je nastao mali problem. Nece da pokrene widget-e. U donjem desnom uglu mi stoji X. NIje ni vazno, neka stoji tako do verzije 5, valjda ce onda sam da se update-uje na neku stabilnu verziju. Sada radi Eject :slight_smile: A jel mogu ja da ga opet update-ujem na staru verziju? Ili samo da promenim repository da mi ne skida beta?

Hvala ti unapred puno!

@coder81,

Ne znam zasto ti nije uradio upgrade na 4.9.5 je je to u na tom ppa. Generalno trebalo bi da moze sa sa ppa purge da uradi vracanje na staro ali u praksi meni to nikad nije uspelo (prvedeno ne pokusavaj).
Stavi synaptic ako ga nemas pa pogledaj mozda treba jos neki upgrade widget-a, ptretrazi u synaticu i ako treba videces oznaku na tom fajlu

Otvorio sam Synaptic i u filter ukucao widget, on mi je izbacio neku listu ali su samo neki sa liste obelezeni zelenim kvadraticem(sa leve strane) ako su to ti oznaceni?

Ne zeleni su instalrani, drugacije boje je oznaka kad je instaliran a treba upgrade.
Ako si na Mintu 14 probaj uradi

sudo apt-get update
sudo apt-get dist-upgrade

Da li si sklono-obrisao onaj prvi repozitorijum
ppa:kubuntu-ppa/backports
Najlakse uklanjanje iz synaptica pod ostalim repozitorijumima nadjes taj, skines kvacicu ili jednostavno oznacis ga i delete.
Posle toga obavezno uradi reload iz synaptica

E uradio sam ono sto si mi rekao i popravio mi se widget :slight_smile: Sada recimo sve radi ok, videcemo na dalje, ja necu mnogo da ga cackam.

Hvala !